- Qt 5.3
- Qt Multimedia
- C++ Classes
- QCameraCaptureBufferFormatControl
- Qt 5.3.2 Reference Documentation

# QCameraCaptureBufferFormatControl Class

The QCameraCaptureBufferFormatControl class provides a control for setting the capture buffer format. More...

Header: | `#include <QCameraCaptureBufferFormatControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

| ~QCameraCaptureBufferFormatControl()
virtual QVideoFrame::PixelFormat | bufferFormat() const = 0
virtual void | setBufferFormat(QVideoFrame::PixelFormat format) = 0
virtual QList<QVideoFrame::PixelFormat> | supportedBufferFormats() const = 0

## Signals

void | bufferFormatChanged(QVideoFrame::PixelFormat format)

## Protected Functions

| QCameraCaptureBufferFormatControl(QObject * parent = 0)

## Macros

| QCameraCaptureBufferFormatControl_iid

## Detailed Description

The QCameraCaptureBufferFormatControl class provides a control for setting the capture buffer format.

The format is of type QVideoFrame::PixelFormat.

The interface name of QCameraCaptureBufferFormatControl is `org.qt-project.qt.cameracapturebufferformatcontrol/5.0` as defined in QCameraCaptureBufferFormatControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### QCameraCaptureBufferFormatControl::QCameraCaptureBufferFormatControl(QObject * parent = 0)`[protected]`

Constructs a new image buffer capture format control object with the given parent

### QCameraCaptureBufferFormatControl::~QCameraCaptureBufferFormatControl()

Destroys an image buffer capture format control.

### QVideoFrame::PixelFormat QCameraCaptureBufferFormatControl::bufferFormat() const`[pure virtual]`

Returns the current buffer capture format.

See also setBufferFormat().

### void QCameraCaptureBufferFormatControl::bufferFormatChanged(QVideoFrame::PixelFormat format)`[signal]`

Signals the buffer image capture format changed to format.

### void QCameraCaptureBufferFormatControl::setBufferFormat(QVideoFrame::PixelFormat format)`[pure virtual]`

Sets the buffer capture format.

See also bufferFormat().

### QList<QVideoFrame::PixelFormat> QCameraCaptureBufferFormatControl::supportedBufferFormats() const`[pure virtual]`

Returns the list of the supported buffer capture formats.

## Macro Documentation

### QCameraCaptureBufferFormatControl_iid

`org.qt-project.qt.cameracapturebufferformatcontrol/5.0`

Defines the interface name of the QCameraCaptureBufferFormatControl class.